@echo off

echo ---------------------------------------

echo Xray核心更新工具-正式版(管理员权限)

echo ---------------------------------------

gsudo cache on

echo 正在建立data文件夹. . .

cd /d %~dp0

mkdir .\data

echo 正在联网下载. . .

.\aria2c --connect-timeout=10 --all-proxy=http://127.0.0.1:10808 -s8 -x8 -k1M --allow-overwrite=true --dir=.\data --out=Xray-windows-64.zip "https://github.com/XTLS/Xray-core/releases/latest/download/Xray-windows-64.zip"

echo 正在结束进程. . .

gsudo schtasks.exe /End /tn "StartXrayCore"

gsudo taskkill /f /im xray.exe

echo 正在解压文件. . .

7z x -aoa data\Xray-windows-64.zip -odata

echo 正在复制文件. . .

copy /y .\data\xray.exe xray.exe

copy /y .\data\LICENSE LICENSE

copy /y .\data\README.md README.md

echo 正在清理. . .

rd /s /q .\data

del /f /s /q version.txt

echo 正在写入版本号. . .

xray version | findstr Xray > version.txt

echo 正在重启进程. . .

gsudo schtasks.exe /Run /tn "StartXrayCore"

cls

echo ---------------------------------------

echo Xray核心更新工具-正式版(管理员权限)

echo ---------------------------------------

echo 刷新完成!请按任意键退出. . .

pause > nul
